## haskell-tamarin-prover-export-1.10.0-140.src.tar.gz

=== tree-sitter/Makefile ===
# Variables
CARGO = cargo
TREE_SITTER_CLI = tree-sitter-cli
TREE_SITTER_DIR = tree-sitter-spthy

# Default target
.DEFAULT_GOAL := all

# Phony targets
.PHONY: all install generate

# Default task
all: install generate

# Install tree-sitter-cli
install:
	$(CARGO) install $(TREE_SITTER_CLI)

# Generate tree-sitter grammar
generate:
	cd $(TREE_SITTER_DIR) && tree-sitter generate

=== misc/cleandot/Makefile ===
DEPS= tamarin-cleandot.py
SRC= test1.dot test2.dot
DST1= $(SRC:.dot=-basic.png)
DST2= $(SRC:.dot=-clean.png)
DST= $(DST1) $(DST2)

ALL: $(DST)

%-basic.png:	%.dot $(DEPS)
	\rm -if $@
	-/usr/bin/dot -Tpng -o $@ $< >$@-clean

%-clean.png:	%.dot $(DEPS)
	\rm -if $@
	-./tamarin-cleandot.py -Tpng -o $@ $< >$@-clean

clean:
	\rm -if $(DST)

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Contributor: Arch Haskell Team <arch-haskell@haskell.org>

_hkgname=tamarin-prover-export
pkgname=haskell-tamarin-prover-export
pkgver=1.10.0
pkgrel=140
pkgdesc="Library for export of processes in the Sapic calculus to the Proverif calculus"
url="http://www.infsec.ethz.ch/research/software/tamarin"
license=("GPL")
arch=('x86_64')
depends=('ghc-libs' 'haskell-tamarin-prover-utils' 'haskell-tamarin-prover-term'
         'haskell-tamarin-prover-theory' 'haskell-tamarin-prover-sapic')
makedepends=('ghc' 'uusi')
source=("tamarin-prover-$pkgver.tar.gz::https://github.com/tamarin-prover/tamarin-prover/archive/$pkgver.tar.gz")
sha512sums=('52ea3e77051208ab2f2b9425988640a2a699adfaaac90d5946d3ce43663ad535f5efb1bf845e0d540eb719e0f26c4d8beec4e231f54f0f393f42c2a392cfd486')

prepare() {
    cd "tamarin-prover-${pkgver}/lib/export"
    gen-setup
}

build() {
    cd "${srcdir}/tamarin-prover-${pkgver}/lib/export"
    
    runhaskell Setup configure -O --enable-shared --enable-debug-info --enable-executable-dynamic --disable-library-vanilla \
        --prefix=/usr --docdir=/usr/share/doc/$pkgname --datasubdir=$pkgname --enable-tests \
        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
    runhaskell Setup build $MAKEFLAGS
    runhaskell Setup register --gen-script
    runhaskell Setup unregister --gen-script
    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
}

check() {
    cd "${srcdir}/tamarin-prover-${pkgver}/lib/export"
    runhaskell Setup test --show-details=direct
}

package() {
    cd "${srcdir}/tamarin-prover-${pkgver}/lib/export"
    
    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
    runhaskell Setup copy --destdir="$pkgdir"
    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
}
